Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::Headers Class Reference

Object representing a chain of protocol headers. More...

`#include <headers.hh>`

Inheritance diagram for linphone::Headers:

## Public Member Functions
LINPHONECXX_PUBLIC | Headers (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneHeaders * | cPtr ()
LINPHONECXX_PUBLIC void | add (const std::string &name, const std::string &value)
| Add given header name and corresponding value.
LINPHONECXX_PUBLIC std::string | getValue (const std::string &headerName)
| Search for a given header name and return its value.
LINPHONECXX_PUBLIC void | remove (const std::string &name)
| Add given header name and corresponding value.

## Detailed Description

Object representing a chain of protocol headers.

It provides read/write access to the headers of the underlying protocol.

## Member Function Documentation

## ◆ add()

LINPHONECXX_PUBLIC void linphone::Headers::add | ( | const std::string & | name,
|  | const std::string & | value )

Add given header name and corresponding value.

Parameters

  name | the header's name
  value | the header's value

## ◆ getValue()

LINPHONECXX_PUBLIC std::string linphone::Headers::getValue | ( | const std::string & | headerName | ) |

Search for a given header name and return its value.

Returns
  the header's value or nullptr if not found.

## ◆ remove()

LINPHONECXX_PUBLIC void linphone::Headers::remove | ( | const std::string & | name | ) |

Add given header name and corresponding value.

Parameters

  name | the header's name

The documentation for this class was generated from the following file:

- headers.hh